from items import *

location_centre = {
    "name": "Centre of the room",

    "description": """Find a way to escape the room! To the SOUTH there is a Fireplace.
from the WEST there is a Bookshelf. From NORTH of the room there is a locked door with a keypad. 
You also see an office desk NORTH-EAST. There is a mysterious dark corner SOUTH-EAST of the room. 
Good luck you have 20 minutes!""",

    "exits": {"south": "fireplace", "west": "bookshelf", "north": "door", "north-east": "desk", "south-east": "dark corner"},

    "items": []
}

location_Fireplace = {
    "name": "The Fireplace",

    "description": "The fireplace is made of brick and has a red brick chimney."
                   "The brick is very old and worn, but still strong enough to support the weight of a person. ",

    "exits":  {"north": "centre", "east": "dark corner"},

    "items": [unpowered_torch]
}

location_bookshelf = {
    "name": "Bookshelf",

    "description": "The bookshelf is full of old books and they are all very dusty. You see a book standing out which appears to be a diary",

    "exits": {"north-east": "door", "east": "centre"},

    "items": [item_diary]
}

Location_desk = {
    "name": "The office desk",

    "description": "I see a desk with what looks to be a safe underneath it. I open the drawer, and sure enough, there is a small safe.",

    "exits": {"west": "door", "south-west": "centre", "south" : "dark corner"},

    "items": [item_safe]
}

location_dark_corner = {
    "name": "a dark corner of the room",

    "description": "The dark corner is filled with dust, cobwebs and old papers. There are also some old computers that no one uses anymore, probably the remnants of old computer science students",

    "exits": {"west": "fireplace", "north": "desk", "north-west": "centre"},

    "items": []
}
location_door = {
    "name": "Escape door",

    "description": "The door is locked, the keypad has a red light that’s blinking. You press the buttons randomly only to no avail. You press more random buttons and the red light blinks faster. :( ",

    "exits": {"south": "centre"},

    "items": []

}
location_entrance = {
    "name": "level 2 Stairs",

    "description": "(description needed)",

    "exits": {},

    "items": []
}
location_winecellar = {
    "name": "Wine Cellar",

    "description": "(description needed)",

    "exits": {},

    "items": {}
}
location_storage = {
    "name": "Storage Room",

    "description": "(description needed)",

    "exits": {},

    "items": {}
}
location_boileroom = {
    "name": "Boiler Room",
    
    "description": "(description needed)",

    "exits": {},

    "items": {}
}

level1 = {
    "fireplace": location_Fireplace,
    "dark corner": location_dark_corner,
    "centre": location_centre,
    "bookshelf": location_bookshelf,
    "desk": Location_desk,
    "door": location_door

}
level2 = {
    "entrance": location_entrance,
    "wine cellar": location_winecellar,
    "storage room": location_storage,
    "boiler room": location_boileroom

}
levels = {"level 1": level1, "level 2": level2}
